<template>
  <div class="portal-connection">
    <v-main>
      <v-container class="fill-height" fluid>
        <v-row align="center" justify="center">
          <v-col cols="12" sm="8" md="4">
            <v-card class="elevation-12">
              <v-toolbar color="primary" dark flat>
                <v-toolbar-title v-if="swapper"
                  >Connectez-vous !</v-toolbar-title
                >
                <v-toolbar-title v-else>Créez votre compte !</v-toolbar-title>
                <v-spacer></v-spacer>
                <v-text v-if="swapper"
                  >Vous n'avez pas de compte ?
                  <v-text class="swap_link" @click="swapper = false"
                    >Créez en un.</v-text
                  ></v-text
                >
                <v-text v-else
                  >Vous avez déjà un compte ?
                  <v-text class="swap_link" @click="swapper = true"
                    >Connectez vous.</v-text
                  ></v-text
                >
              </v-toolbar>
              <transition name="fade" mode="out-in">
                <form-login v-if="swapper" />
                <form-register v-else />
              </transition>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
      <v-footer absolute>
        <v-spacer></v-spacer>
        <div>&copy; {{ new Date().getFullYear() }} - Scraporn</div>
      </v-footer>
    </v-main>
  </div>
</template>

<script>
import FormLogin from "@/components/FormLogin.vue";
import FormRegister from "@/components/FormRegister.vue";

export default {
  name: "Portal-Connection",
  components: {
    FormLogin,
    FormRegister
  },
  data: function() {
    return {
      swapper: true
    };
  },
  mounted: function() {
    this.getConnection();
  },
  methods: {
    getConnection: function() {
      const myInit = {
        method: "GET",
        headers: {
          Accept: "application/json",
          "Content-Type": "application/json"
        },
        mode: "cors",
        cache: "default"
      };

      fetch("http://localhost:8000/api/v1/can_connect", myInit)
        .then(r => r.json)
        .then(Response => console.log("Connected to api", Response));
    }
  }
};
</script>

<style lang="scss">
.portal-connection {
  height: 100vh;

  .v-main {
    height: 100%;

    .swap_link {
      cursor: pointer;
      text-decoration: underline;
    }
  }
}
</style>
